// Print the contents of an integer array
void print(int* a, int size) {
  int i = 0;
  while (i < size) {
    printInt(a[i]);
    printString("\n");
    i = i + 1;
  }
}

// Takes two arguments:
//   array: an address which is the base of an array
//   length: the size of the array
// Returns 1 if the array is sorted.  Zero if not.
int isSorted(int* a, int size) {
  int i=0;
  size = size - 1;
  while (i < size) {
    if (a[i] > a[i+1]) {
      return 0;
    }
    i = i + 1;
  }
  return 1;
}

// Takes 3 arguments:
//   array: an address which is the base of an array
//   length: the size of the array
//   seed: a seed for the random number generator
void initRandArray(int* a, int len, int seed) {
  len = len - 1;
  while (len >= 0) {
    seed = rand(seed);
    a[len] = seed;
    len = len - 1;
  }
}

// Implements a simple random number generator
int rand(int seed) {
  if (seed < 0) {
    seed = 0 - seed;
  }
  seed = (seed * 16807 + 2836) % 2000000000;
  return seed;
}

