
int _array[1000];
int _size = 500;

void sortAndCheck() {
  quicksort(_array, 0, _size-1);
  if (isSorted(_array, _size) == 0) {
    printString("*** Sort usuccessful, exiting.\n");
    exit(1);
  }
  printString("*** Sort successful, continuing...\n");
  print(_array, _size);
}





void reverseOrderArray(int* a, int size) {
  int i = 0;
  int val = size;
  while (i < size) {
    val = val - 1;
    a[i] = val;
    i = i + 1; 
  }
}

int isSequenced(int* a, int size) {
  int i = 0;
  while (i < size) {
    if (a[i] != i) {
      return 0;
    }
    i = i + 1;
  }
  return 1;
}


void main () {
  int i;
  int seed = 13;
  _size = 200;
  printString("Sorting random array...\n");
  initRandArray(_array, _size, seed);
  sortAndCheck();
  return 1;
  initRandArray(_array, _size, seed);
  sortAndCheck();
  initRandArray(_array, _size, seed);
  sortAndCheck();
  printString("Sorting sorted array (may take a while)...\n");
  sortAndCheck();
  reverseOrderArray(_array, _size);
  printString("Sorting reverse order array (may take a while)...\n");
  sortAndCheck();
  if (isSequenced(_array, _size)  == 0) {
    printString("Data elements post-sort do not match data-elements pre-sort.\n");
    printString("You'd better check the correctness of your sorting algorithm.\n");
    printString("*** Sort unsuccessful, exiting.\n");
    exit(1);
  }
  printString("Sorting almost sorted array (may take a while)...\n");
  sortAndCheck();
  if (isSequenced(_array, _size) == 0) {
    printString("Data elements post-sort do not match data-elements pre-sort.\n");
    printString("You'd better check the correctness of your sorting algorithm.\n");
    printString("*** Sort unsuccessful, exiting.\n");
    exit(1);
  }
  printString("*** All tests passed.\n");
}



