


quicksort(int* a, int p, int r) {
  int q;
  if (p < r) {
    q = partition(a, p, r);
    quicksort(a, p, q);
    quicksort(a, q+1, r);
  }
}

partition(int* a, int p, int q) {
  int pivot, i, j;
  pivot = a[(p + q)/2];
  i = p-1;
  j = q+1;
  while (1) {
    j = j - 1;
    while (a[j] > pivot) { j = j-1; }    
    i = i + 1;
    while (a[i] < pivot) { i = i+1; }
    if (i < j) {
      int tmp;
      tmp = a[i];
      a[i] = a[j];
      a[j] = tmp;
    }
    else {
      return j;
    }
  }
}
